.\" GTK_SAMBA
.\"
.\" gtksamba.man
.\"
.\" ##
.TH GTK_SAMBA 1 "27 APRIL 1999" "V 0.3.2pl1"
.SH NAME
gtksamba \- Gtk_Samba 
.SH SYNOPSIS
.B gtksamba
.SH DESCRIPTION
GtkSamba is a GUI tool for the Configuration of the Samba, the SMB
file server on X11/Unix. It will read, edit and write /etc/smb.conf,
an alternate configuration file, or from a network. It uses the GTK
toolkit and requires Gtk+ 1.0.6 or 1.1.x. Gnome support is optional.


.SH FEATURES

This is an early development release, not all functionality is
implemented. It will let you edit any existing parameter from a text
entry, but without any checking.
To test it safely, you can run it as a non-root user using alternate files.
Also, if you try to write to a file that you have no write permision to,
GtkSamba will dump the output to stdout. Hence, running GtkSamba as a
non-root user from a terminal is a great way to test it out.
Then when you're confident it's safe you can try it on a real server. 

TO DO


1. Create a gnome style guru for inserting an new service that will
walk the user thru the more commonly used parameters.


2. Do similar gnome style gurus to the above for the global, homes, and
printing services.

3. Implement specific support for domain controller, encrypted
passwords, etc. and create dialogs for the user to implement them
easily.


4. Generate individual GUI dialogs for some special parameters.

5. Enable managing of remote servers, mounting via SMB or NFS, or thru
SSH or RSH access.

6. Interface to smbadduser and smbpassword.

7. Write usefull comments into the config file, so you can edit it by
hand if you wish.
 

.SH MORE INFORMATION

For more information see "http://www.open-systems.com/gtksamba.html"

.SH PROGRAM AUTHOR

Perry Piplani <perry@open-systems.com>

.SH MAN PAGE

Mehdi Lavasani <lavasani@csc.liv.ac.uk>
